DATA example2_11;         
DO hp=1 TO 2;              /*hp=1表示对照组，hp=1表示试验组*/
DO pro=1 TO 2;             /*pro=1表示无进展，pro=2表示进展*/
INPUT f@@;                  /*输入例数*/
OUTPUT;
END;
END;
CARDS;
138 118
167 89
;
PROC FREQ;                 /*调用freq程序*/
WEIGHT f;                  /*表明输入的f是一个权重值*/
TABLE hp*pro/chisq expected;    
/*table语句列出列联表，chisq选项调用χ2检验结果，expected输出理论频数*/
RUN; 
